# Openstack

Proyecto de grado dedicado a investigar la plataforma de datacenters Openstack. Particularmente documenta el proceso de diseño, instalación y configuración para poner en marcha la plataforma. Además pone énfasis en analizar en detalle el módulo de red Neutron.

## Estructura del repositorio

- **src/**: configuraciones de instalación y administración.
	- **nodes/**: mantiene los archivos de configuración requeridos para de cada uno de los nodos, especialmente las configuraciones de red.
        - **deploy/**: en el caso del nodo deploy se manejan subdirectorios en función de los distintos tipos de instalaciones que se realizaron.
	- **manage/**: mantiene archivos de configuración y scripts que son útiles para administrar el datacenter.
- **docs/**: documentación.
	- **escenarios/#/**: mantiene la descripción y análisis de cada escenario llevado a cabo durante el estudio del módulo de red.
		- **imgs/**: diagrama del escenario, capturas gráficas de paquetes, etc.
		- **pcaps/**: pcaps del escenario.
	- **imgs/**: imágenes generales, p.e. diagrama de arquitectura.
	- **latex/**: código fuente latex de la documentación.
- **taller/**: archivos de configuración y documentación del trabajo de instalación realizado para el módulo taller.
